import random
import time
import json

def display_animation(choices):
    frames = ["-","\\","|","/"]
    for _ in range(20):
        for frame in frames:
            print(f"\rCalculating... {random.choice(choices)} {frame}", end="")
            time.sleep(0.1)

def generate_random_number():
    print("Generating a random number...")
    with open("demo.json", "r") as f:
        choices = json.loads(f.read())["choices"]    
    
    display_animation(choices)
    print(f"\rThe choice is: {random.choice(choices)}")

if __name__ == "__main__":
    try:
        generate_random_number()
    except KeyboardInterrupt:
        pass